Retrieve application collection

This operation returns an object containing information about applications based on query parameters.

Query Params
string

Retrieve applications that match the given label exactly. NOTE: Case-sensitive.

string

Retrieve applications having a label that contains or matches what is given (case-insensitive).

int32

Can be one or more comma-separated application IDs.

string

Can be one or more comma-separated client IDs.

string
enum
Defaults to not_configured

Retrieve applications based on their status: 'not_configured' (not yet configured), 'site_disabled' (administratively disabled), 'verify_in_progress' (has VVSCA open), 'need_scan_schedule' (no scan schedule), 'config_in_progress' (job is suspended for some reason), 'scan_running' (has a scan running), 'active' (none of the above, idle).

Allowed:
string
enum
Defaults to 0

Retrieve applications based on whether or not they have a schedule.

Allowed:
string

Retrieve applications having a scan schedule name that contains or matches what is given (case-insensitive).

string

Retrieve applications having a scan schedule timezone that contains or matches what is given (case-insensitive). EXAMPLE: America/New_York

string

Retrieve applications having a Custom Asset ID that contains or matches what is given (case-insensitive).

string

Retrieve applications having an Asset Owner that contains or matches the given username (case-insensitive).

string
enum
Defaults to 0

Retrieve applications for clients who only use our Source Code Analysis (SCA/SAST) service, but not our DAST service.

Allowed:
string
enum
Defaults to 0

Display all available information for each application.

Allowed:
string
enum
Defaults to 0

Display the customer's organization and the groups each application belongs to.

Allowed:
string
enum
Defaults to 0

Display the number of open vulnerabilities for each application.

Allowed:
string
enum
Defaults to 0

Display each application's scan schedule information.

Allowed:
string
enum
Defaults to 0

Display a list of tags for each application.

Allowed:
string
enum
Defaults to 0

Display the custom asset ID for each application.

Allowed:
string
enum
Defaults to 0

Display the asset owner name for each application.

Allowed:
string
enum
Defaults to 0

Display the total number of lines of source code under contract for each application, how many lines of code have been used, and averages (lines of code scanned, file size) calculated over the most recent 20 scans.

Allowed:
string
enum
Defaults to 0

Display scan configuration details (scan profile, directories to exclude from scans, etc.) for each application. Returns a stringified JSON structure.

Allowed:
string
enum
Defaults to 0

Display the filename and other information about the XML file (optionally uploaded by the customer) that is used to resolve dependencies, if it exists.

Allowed:
string
enum
Defaults to 0

Display what phase each application is in ('pre-production', 'production', or 'discontinued').

Allowed:
string
enum
Defaults to 0

Display each application's scan statistics. Results may include file counts by extension, lines of code scanned, a count of vulns found during the scan, and other scan-related information.

Allowed:
string
enum
Defaults to 0

Display the total number of applications and the number actually returned to the requester based on query parameters given.

Allowed:
string
enum

This is a CSV-Only parameter. Displays different CSV information based on the options given.

Allowed:
string
enum
Defaults to 0

Display Pre-scan, Full-scan status and details.

Allowed:
string
enum
Defaults to 0

Display Application vuln policy information.

Allowed:
int32
Defaults to 5

Limit results to n number of pages.

int32

Begin showing results from page number n.

string
enum
Defaults to id

Order the results.

string
enum
Defaults to xml

Data format for results.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

BadRequestResponse indicates a request with invalid parameters.

401

UnauthorizedResponse signals an unauthorized API access.

403

ForbiddenResponse signals a request for a resource that does not exist or is not authorized.

500

GenericError generic error.

Language
Response
Choose an example:
application/json
application/xml
text/csv, text/comma-separated-values